
_interrupt:

;VCP_Example.c,28 :: 		void interrupt(){
;VCP_Example.c,30 :: 		USBDev_IntHandler();
	CALL        _USBDev_IntHandler+0, 0
;VCP_Example.c,31 :: 		}
L_end_interrupt:
L__interrupt4:
	RETFIE      1
; end of _interrupt

_USBDev_CDCParamsChanged:

;VCP_Example.c,33 :: 		void USBDev_CDCParamsChanged(){
;VCP_Example.c,35 :: 		}
L_end_USBDev_CDCParamsChanged:
	RETURN      0
; end of _USBDev_CDCParamsChanged

_USBDev_CDCDataReceived:

;VCP_Example.c,42 :: 		void USBDev_CDCDataReceived(uint16_t size){
;VCP_Example.c,43 :: 		dataReceived = 1;
	MOVLW       1
	MOVWF       _dataReceived+0 
;VCP_Example.c,44 :: 		dataReceivedSize = size;
	MOVF        FARG_USBDev_CDCDataReceived_size+0, 0 
	MOVWF       _dataReceivedSize+0 
	MOVF        FARG_USBDev_CDCDataReceived_size+1, 0 
	MOVWF       _dataReceivedSize+1 
;VCP_Example.c,45 :: 		}
L_end_USBDev_CDCDataReceived:
	RETURN      0
; end of _USBDev_CDCDataReceived

_main:

;VCP_Example.c,51 :: 		void main(void){
;VCP_Example.c,52 :: 		ADCON1 |= 0x0F;                         // Configure all ports with analog function as digital
	MOVLW       15
	IORWF       ADCON1+0, 1 
;VCP_Example.c,53 :: 		CMCON  |= 7;                            // Disable comparators
	MOVLW       7
	IORWF       CMCON+0, 1 
;VCP_Example.c,55 :: 		t_x = 0.0;
	CLRF        _t_x+0 
	CLRF        _t_x+1 
	CLRF        _t_x+2 
	CLRF        _t_x+3 
;VCP_Example.c,56 :: 		dt = 3.14159 * 2. / 128.;
	MOVLW       208
	MOVWF       _dt+0 
	MOVLW       15
	MOVWF       _dt+1 
	MOVLW       73
	MOVWF       _dt+2 
	MOVLW       122
	MOVWF       _dt+3 
;VCP_Example.c,58 :: 		USBDev_CDCInit();
	CALL        _USBDev_CDCInit+0, 0
;VCP_Example.c,61 :: 		USBDev_Init();
	CALL        _USBDev_Init+0, 0
;VCP_Example.c,64 :: 		IPEN_bit = 1;
	BSF         IPEN_bit+0, BitPos(IPEN_bit+0) 
;VCP_Example.c,65 :: 		USBIP_bit = 1;
	BSF         USBIP_bit+0, BitPos(USBIP_bit+0) 
;VCP_Example.c,66 :: 		USBIE_bit = 1;
	BSF         USBIE_bit+0, BitPos(USBIE_bit+0) 
;VCP_Example.c,67 :: 		GIEH_bit = 1;
	BSF         GIEH_bit+0, BitPos(GIEH_bit+0) 
;VCP_Example.c,70 :: 		while(1){
L_main0:
;VCP_Example.c,72 :: 		if(USB_CDC_DeviceConfigured){
	MOVF        _USB_CDC_DeviceConfigured+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main2
;VCP_Example.c,74 :: 		USBDev_CDCSetReceiveBuffer(buffer);
	MOVLW       _buffer+0
	MOVWF       FARG_USBDev_CDCSetReceiveBuffer_dataBuff+0 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FARG_USBDev_CDCSetReceiveBuffer_dataBuff+1 
	CALL        _USBDev_CDCSetReceiveBuffer+0, 0
;VCP_Example.c,77 :: 		USB_CDC_DeviceConfigured = 0;
	CLRF        _USB_CDC_DeviceConfigured+0 
;VCP_Example.c,78 :: 		}
L_main2:
;VCP_Example.c,80 :: 		y = sin(t_x);
	MOVF        _t_x+0, 0 
	MOVWF       FARG_sin_f+0 
	MOVF        _t_x+1, 0 
	MOVWF       FARG_sin_f+1 
	MOVF        _t_x+2, 0 
	MOVWF       FARG_sin_f+2 
	MOVF        _t_x+3, 0 
	MOVWF       FARG_sin_f+3 
	CALL        _sin+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       _y+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       _y+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       _y+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       _y+3 
;VCP_Example.c,81 :: 		t_x += dt;
	MOVF        _t_x+0, 0 
	MOVWF       R0 
	MOVF        _t_x+1, 0 
	MOVWF       R1 
	MOVF        _t_x+2, 0 
	MOVWF       R2 
	MOVF        _t_x+3, 0 
	MOVWF       R3 
	MOVF        _dt+0, 0 
	MOVWF       R4 
	MOVF        _dt+1, 0 
	MOVWF       R5 
	MOVF        _dt+2, 0 
	MOVWF       R6 
	MOVF        _dt+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _t_x+0 
	MOVF        R1, 0 
	MOVWF       _t_x+1 
	MOVF        R2, 0 
	MOVWF       _t_x+2 
	MOVF        R3, 0 
	MOVWF       _t_x+3 
;VCP_Example.c,83 :: 		sprintf(buffer, "%12e, %12e\n\r", t_x, y);             // Format ww and store it to buffer
	MOVLW       _buffer+0
	MOVWF       FARG_sprintf_wh+0 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FARG_sprintf_wh+1 
	MOVLW       ?lstr_1_VCP_Example+0
	MOVWF       FARG_sprintf_f+0 
	MOVLW       hi_addr(?lstr_1_VCP_Example+0)
	MOVWF       FARG_sprintf_f+1 
	MOVLW       higher_addr(?lstr_1_VCP_Example+0)
	MOVWF       FARG_sprintf_f+2 
	MOVF        R0, 0 
	MOVWF       FARG_sprintf_wh+5 
	MOVF        R1, 0 
	MOVWF       FARG_sprintf_wh+6 
	MOVF        R2, 0 
	MOVWF       FARG_sprintf_wh+7 
	MOVF        R3, 0 
	MOVWF       FARG_sprintf_wh+8 
	MOVF        FLOC__main+0, 0 
	MOVWF       FARG_sprintf_wh+9 
	MOVF        FLOC__main+1, 0 
	MOVWF       FARG_sprintf_wh+10 
	MOVF        FLOC__main+2, 0 
	MOVWF       FARG_sprintf_wh+11 
	MOVF        FLOC__main+3, 0 
	MOVWF       FARG_sprintf_wh+12 
	CALL        _sprintf+0, 0
;VCP_Example.c,86 :: 		dataReceivedSize = strlen(buffer);
	MOVLW       _buffer+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _dataReceivedSize+0 
	MOVF        R1, 0 
	MOVWF       _dataReceivedSize+1 
;VCP_Example.c,87 :: 		USBDev_CDCSendData(buffer, dataReceivedSize);
	MOVLW       _buffer+0
	MOVWF       FARG_USBDev_CDCSendData_dataBuff+0 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FARG_USBDev_CDCSendData_dataBuff+1 
	MOVF        R0, 0 
	MOVWF       FARG_USBDev_CDCSendData_dataLen+0 
	MOVF        R1, 0 
	MOVWF       FARG_USBDev_CDCSendData_dataLen+1 
	CALL        _USBDev_CDCSendData+0, 0
;VCP_Example.c,97 :: 		}
	GOTO        L_main0
;VCP_Example.c,99 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
